const canvas = document.getElementById('clockCanvas');
const ctx = canvas.getContext('2d');
canvas.width = 363;
canvas.height = 100;
const digitWidth = 38;
const digitHeight = 66;
let currentStyle = 1;
const digitSpacing = 5;
document.addEventListener('DOMContentLoaded', function() {
    const spritesheet = new Image();
    spritesheet.src = '/path/to/your/spritesheet.png';
    spritesheet.onload = function() {
        updateTime();
        setInterval(updateTime, 1000);
    };
    function drawDigit(digit, position) {
        const sx = digit * digitWidth;
        const sy = currentStyle * digitHeight;
        const dx = position * (digitWidth + digitSpacing) + 9;
        ctx.drawImage(spritesheet, sx, sy, digitWidth, digitHeight, dx, 17, digitWidth, digitHeight);
    }
    function drawColon(position) {
        const colonIndex = 10;
        const sx = colonIndex * digitWidth;
        const sy = currentStyle * digitHeight;
        const dx = position * (digitWidth + digitSpacing) + 9;
        ctx.drawImage(spritesheet, sx, sy, digitWidth, digitHeight, dx, 17, digitWidth, digitHeight);
    }
    function updateTime() {
        const now = new Date();
        const hours = now.getHours();
        const minutes = now.getMinutes();
        const seconds = now.getSeconds();
        ctx.fillRect(0, 0, canvas.width, canvas.height);
        if (hours >= 10) {
            drawDigit(Math.floor(hours / 10), 0);
            drawDigit(hours % 10, 1);
        } else {
            drawDigit(hours, 1);
        }
        drawColon(2);
        drawDigit(Math.floor(minutes / 10), 3);
        drawDigit(minutes % 10, 4);
        drawColon(5);
        drawDigit(Math.floor(seconds / 10), 6);
        drawDigit(seconds % 10, 7);
    }
    canvas.addEventListener('click', function() {
        currentStyle = (currentStyle + 1) % 4;
        updateTime();
    });
});